Subject: Re: bug#22732: lispf4: broken

From: ng0 <[email-masked]>
Date: Tue, 04 Oct 2016 17:36:07 +0000

N. Gillmann writes:

> I packaged lispf4 for Guix, tried to debug it alone for a while
> now, got other peoples input, tested different GNU systems, still
> can't reproduce the errors I get on Guix and other GNU systems.
>
> This is a bit vague but the actual error output is just too long
> for this email.
> TL;DR is SYSATOMS even when in the same directory with any
> permission I tried fails to get opened. SYSATOMS is essential for
> lispf4 to work.
>
> I contacted the author of the port (Blake McBride), it will take
> some weeks until he can help, but he'll definitely help to
> debug the issue.
> I will update and later close this issue as soon as we are done
> fixing it.
>
> thanks,
> -- 
> ng
>
>
>

Since the author never got back to me, this is obviously still
unresolved.

What I can exclude is non-determinism, at least to the degree where I am
able to check at the moment with my network, build log of today pasted.

I think I suspected at some point that this needs to be patched, however
I'd rather leave this task for people who are fluent in the languages
this lisp is written in.

ng0@shadowwalker ~$ guix build --no-grafts --rounds=30 --no-substitutes --check lispf4
;;; note: source file /home/ng0/.config/guix/latest/gnu/packages/web.scm
;;;       newer than compiled /home/ng0/.config/guix/latest/gnu/packages/web.go
The following derivations will be built:
   /gnu/store/w1r6bk17959jcwc1rf52apjisqjx27dx-TermReadKey-2.32.tar.gz.drv
   /gnu/store/cn3lyz29vibag5xrmrnpa231br98nza8-git-2.10.0.tar.xz.drv
   /gnu/store/f81y6m95fl0qfz91xs788hh2plw5h4rh-perl-term-readkey-2.32.drv
   /gnu/store/xz563pg0lvxlb5rkh6ipnskzn7744y1j-git-manpages-2.10.0.tar.xz.drv
   /gnu/store/mcfbsl7cn3chm5bi7xi4ydkanrn1amny-git-2.10.0.drv
   /gnu/store/mbc7ljznnarwx4yx732jjqa6vz2raac3-lispf4-0.0.0-1-174d876-checkout.drv
@ build-started /gnu/store/cn3lyz29vibag5xrmrnpa231br98nza8-git-2.10.0.tar.xz.drv - x86_64-linux /var/log/guix/drvs/cn//3lyz29vibag5xrmrnpa231br98nza8-git-2.10.0.tar.xz.drv.bz2

Starting download of /gnu/store/fx2vpw7m02ikl8nqr1rhbizy25wbllyc-git-2.10.0.tar.xz
>From http://www.all.kernel.org/pub/software/scm/git/git-2.10.0.tar.xz...
following redirection to `https://www.kernel.org/pub/software/scm/git/git-2.10.0.tar.xz'...
;;; Failed to autoload make-session in (gnutls):
;;; ERROR: missing interface for module (gnutls)
ERROR: In procedure module-lookup: Unbound variable: make-session

Starting download of /gnu/store/fx2vpw7m02ikl8nqr1rhbizy25wbllyc-git-2.10.0.tar.xz
>From http://ramses.wh2.tu-dresden.de/pub/mirrors/kernel.org/software/scm/git/git-2.10.0.tar.xz...
ERROR: download failed "http://ramses.wh2.tu-dresden.de/pub/mirrors/kernel.org/software/scm/git/git-2.10.0.tar.xz" 404 "Not Found"

Starting download of /gnu/store/fx2vpw7m02ikl8nqr1rhbizy25wbllyc-git-2.10.0.tar.xz
>From http://linux-kernel.uio.no/pub/software/scm/git/git-2.10.0.tar.xz...
 ....0.tar.xz  3.9MiB               667KiB/s 00:06 [####################] 100.0%
@ build-succeeded /gnu/store/cn3lyz29vibag5xrmrnpa231br98nza8-git-2.10.0.tar.xz.drv -
@ build-started /gnu/store/w1r6bk17959jcwc1rf52apjisqjx27dx-TermReadKey-2.32.tar.gz.drv - x86_64-linux /var/log/guix/drvs/w1//r6bk17959jcwc1rf52apjisqjx27dx-TermReadKey-2.32.tar.gz.drv.bz2

Starting download of /gnu/store/xfh24ndymblksrc1zmilqpg0p77219nq-TermReadKey-2.32.tar.gz
>From http://mirror.ibcp.fr/pub/CPAN/authors/id/J/JS/JSTOWE/TermReadKey-2.32.tar.gz...
 ...-2.32.tar.gz  80KiB             593KiB/s 00:00 [####################] 100.0%
@ build-succeeded /gnu/store/w1r6bk17959jcwc1rf52apjisqjx27dx-TermReadKey-2.32.tar.gz.drv -
@ build-started /gnu/store/xz563pg0lvxlb5rkh6ipnskzn7744y1j-git-manpages-2.10.0.tar.xz.drv - x86_64-linux /var/log/guix/drvs/xz//563pg0lvxlb5rkh6ipnskzn7744y1j-git-manpages-2.10.0.tar.xz.drv.bz2
process 1552 acquired build slot '/var/guix/offload/192.168.1.198/0'
process 1552 acquired build slot '/var/guix/offload/192.168.1.179/0'
load on machine '192.168.1.179' is 0.27 (normalized: 0.135)
Cannot open display "default display"
load on machine '192.168.1.198' is 0.01 (normalized: 0.0025)
Cannot open display "default display"
load on machine '192.168.1.198' is 0.01 (normalized: 0.0025)
@ build-started /gnu/store/f81y6m95fl0qfz91xs788hh2plw5h4rh-perl-term-readkey-2.32.drv - x86_64-linux /var/log/guix/drvs/f8//1y6m95fl0qfz91xs788hh2plw5h4rh-perl-term-readkey-2.32.drv.bz2

Starting download of /gnu/store/6x5nv0106f1fdv07w0psz4x1dcq80zdh-git-manpages-2.10.0.tar.xz
>From http://www.all.kernel.org/pub/software/scm/git/git-manpages-2.10.0.tar.xz...
following redirection to `https://www.kernel.org/pub/software/scm/git/git-manpages-2.10.0.tar.xz'...
;;; Failed to autoload make-session in (gnutls):
;;; ERROR: missing interface for module (gnutls)
ERROR: In procedure module-lookup: Unbound variable: make-session

Starting download of /gnu/store/6x5nv0106f1fdv07w0psz4x1dcq80zdh-git-manpages-2.10.0.tar.xz
>From http://ramses.wh2.tu-dresden.de/pub/mirrors/kernel.org/software/scm/git/git-manpages-2.10.0.tar.xz...
ERROR: download failed "http://ramses.wh2.tu-dresden.de/pub/mirrors/kernel.org/software/scm/git/git-manpages-2.10.0.tar.xz" 404 "Not Found"

Starting download of /gnu/store/6x5nv0106f1fdv07w0psz4x1dcq80zdh-git-manpages-2.10.0.tar.xz
>From http://linux-kernel.uio.no/pub/software/scm/git/git-manpages-2.10.0.tar.xz...
Cannot open display "default display"
 ...2.10.0.tar.xz  386KiB               0B/s 00:00 [                    ]   0.0%Cannot open display "default display"
 ...2.10.0.tar.xz  386KiB           369KiB/s 00:00 [######              ]  33.2%sending 1 store files to '192.168.1.198'...
exporting path `/gnu/store/xfh24ndymblksrc1zmilqpg0p77219nq-TermReadKey-2.32.tar.gz'
 ...2.10.0.tar.xz  386KiB           472KiB/s 00:00 [#########           ]  49.8%Cannot open display "default display"
 ...2.10.0.tar.xz  386KiB           682KiB/s 00:01 [####################] 100.0%
@ build-succeeded /gnu/store/xz563pg0lvxlb5rkh6ipnskzn7744y1j-git-manpages-2.10.0.tar.xz.drv -
offloading '/gnu/store/f81y6m95fl0qfz91xs788hh2plw5h4rh-perl-term-readkey-2.32.drv' to '192.168.1.198'...
@ build-remote /gnu/store/f81y6m95fl0qfz91xs788hh2plw5h4rh-perl-term-readkey-2.32.drv 192.168.1.198
Cannot open display "default display"
The following file will be downloaded:
   /gnu/store/gl88nr3n868x553mm80mz5vhczz8vizy-perl-term-readkey-2.32
@ substituter-started /gnu/store/gl88nr3n868x553mm80mz5vhczz8vizy-perl-term-readkey-2.32 /gnu/store/gjhqf4350p09rmvxb4xczyv86h5znw7n-guix-0.11.0-1.4420/libexec/guix/substitute

Found valid signature for /gnu/store/gl88nr3n868x553mm80mz5vhczz8vizy-perl-term-readkey-2.32
>From https://mirror.hydra.gnu.org/nar/gl88nr3n868x553mm80mz5vhczz8vizy-perl-term-readkey-2.32
Downloading gl88nr...-perl-term-readkey-2.32 (59KiB installed)...
 perl-term-readkey-2.32                      4.6MiB/s 00:00 | 24KiB transferred
@ substituter-succeeded /gnu/store/gl88nr3n868x553mm80mz5vhczz8vizy-perl-term-readkey-2.32
/gnu/store/gl88nr3n868x553mm80mz5vhczz8vizy-perl-term-readkey-2.32
retrieving 1 files from '192.168.1.198'...
Cannot open display "default display"
importing file or directory '/gnu/store/gl88nr3n868x553mm80mz5vhczz8vizy-perl-term-readkey-2.32'...
found valid signature for '/gnu/store/gl88nr3n868x553mm80mz5vhczz8vizy-perl-term-readkey-2.32'
Cannot open display "default display"
done with offloaded '/gnu/store/f81y6m95fl0qfz91xs788hh2plw5h4rh-perl-term-readkey-2.32.drv'
process 1589 acquired build slot '/var/guix/offload/192.168.1.198/0'
process 1589 acquired build slot '/var/guix/offload/192.168.1.179/0'
load on machine '192.168.1.179' is 0.27 (normalized: 0.135)
Cannot open display "default display"
load on machine '192.168.1.198' is 0.03 (normalized: 0.0075)
Cannot open display "default display"
load on machine '192.168.1.198' is 0.03 (normalized: 0.0075)
@ build-started /gnu/store/mcfbsl7cn3chm5bi7xi4ydkanrn1amny-git-2.10.0.drv - x86_64-linux /var/log/guix/drvs/mc//fbsl7cn3chm5bi7xi4ydkanrn1amny-git-2.10.0.drv.bz2
Cannot open display "default display"
Cannot open display "default display"
sending 10 store files to '192.168.1.198'...
exporting path `/gnu/store/cbbxwx7y3zl8863lsd7my721j8nyrd7r-apr-1.5.2'
Cannot open display "default display"
exporting path `/gnu/store/03zmylnqwqfyrdqadmrvfkv351w97mx4-apr-util-1.5.4'
exporting path `/gnu/store/6v22m2g9lqa77m9lw7747azg7hzlpr2w-perl-authen-sasl-2.16'
exporting path `/gnu/store/6x5nv0106f1fdv07w0psz4x1dcq80zdh-git-manpages-2.10.0.tar.xz'
exporting path `/gnu/store/bjbn4x02ln491nk98glijgz27d93ijz5-perl-net-smtp-ssl-1.03'
exporting path `/gnu/store/fx2vpw7m02ikl8nqr1rhbizy25wbllyc-git-2.10.0.tar.xz'
exporting path `/gnu/store/mvds5crvsaq8rgid1k10clw23ch2bgg0-serf-1.3.8'
exporting path `/gnu/store/jp6qf3dlpjc4b0y5zz46d9fhfzrq73j5-subversion-1.8.16'
exporting path `/gnu/store/sjl5hwv5pv1asailq5l3izwdj9naa4z3-perl-digest-hmac-1.03'
exporting path `/gnu/store/sxs18a7fz5m88z87kzzibac018nzwvlb-perl-gssapi-0.28'
offloading '/gnu/store/mcfbsl7cn3chm5bi7xi4ydkanrn1amny-git-2.10.0.drv' to '192.168.1.198'...
@ build-remote /gnu/store/mcfbsl7cn3chm5bi7xi4ydkanrn1amny-git-2.10.0.drv 192.168.1.198
Cannot open display "default display"
The following files will be downloaded:
   /gnu/store/da20kp0h6fn1bz8iyjwh6iimrbjk4wzv-git-2.10.0-gui
   /gnu/store/r45c751kwr8rlv2mpgwfd7k0w99rh62h-git-2.10.0
   /gnu/store/dgky2waqhjsf4wqc6rikijfs12xnfnr5-git-2.10.0-send-email
   /gnu/store/hljxjxj6i91424jmwcilgkmxxxfdqqjy-git-2.10.0-svn
@ substituter-started /gnu/store/r45c751kwr8rlv2mpgwfd7k0w99rh62h-git-2.10.0 /gnu/store/gjhqf4350p09rmvxb4xczyv86h5znw7n-guix-0.11.0-1.4420/libexec/guix/substitute

Found valid signature for /gnu/store/r45c751kwr8rlv2mpgwfd7k0w99rh62h-git-2.10.0
>From https://mirror.hydra.gnu.org/nar/r45c751kwr8rlv2mpgwfd7k0w99rh62h-git-2.10.0
Downloading r45c75...-git-2.10.0 (28.9MiB installed)...
 git-2.10.0                                1.2MiB/s 00:10 | 11.9MiB transferred
@ substituter-succeeded /gnu/store/r45c751kwr8rlv2mpgwfd7k0w99rh62h-git-2.10.0
@ substituter-started /gnu/store/da20kp0h6fn1bz8iyjwh6iimrbjk4wzv-git-2.10.0-gui /gnu/store/gjhqf4350p09rmvxb4xczyv86h5znw7n-guix-0.11.0-1.4420/libexec/guix/substitute

Found valid signature for /gnu/store/da20kp0h6fn1bz8iyjwh6iimrbjk4wzv-git-2.10.0-gui
>From https://mirror.hydra.gnu.org/nar/da20kp0h6fn1bz8iyjwh6iimrbjk4wzv-git-2.10.0-gui
Downloading da20kp...-git-2.10.0-gui (539KiB installed)...
 git-2.10.0-gui                             1.0MiB/s 00:00 | 100KiB transferred
@ substituter-succeeded /gnu/store/da20kp0h6fn1bz8iyjwh6iimrbjk4wzv-git-2.10.0-gui
@ substituter-started /gnu/store/dgky2waqhjsf4wqc6rikijfs12xnfnr5-git-2.10.0-send-email /gnu/store/gjhqf4350p09rmvxb4xczyv86h5znw7n-guix-0.11.0-1.4420/libexec/guix/substitute

Found valid signature for /gnu/store/dgky2waqhjsf4wqc6rikijfs12xnfnr5-git-2.10.0-send-email
>From https://mirror.hydra.gnu.org/nar/dgky2waqhjsf4wqc6rikijfs12xnfnr5-git-2.10.0-send-email
Downloading dgky2w...-git-2.10.0-send-email (52KiB installed)...
 git-2.10.0-send-email                      10.6MiB/s 00:00 | 16KiB transferred
@ substituter-succeeded /gnu/store/dgky2waqhjsf4wqc6rikijfs12xnfnr5-git-2.10.0-send-email
@ substituter-started /gnu/store/hljxjxj6i91424jmwcilgkmxxxfdqqjy-git-2.10.0-svn /gnu/store/gjhqf4350p09rmvxb4xczyv86h5znw7n-guix-0.11.0-1.4420/libexec/guix/substitute

Found valid signature for /gnu/store/hljxjxj6i91424jmwcilgkmxxxfdqqjy-git-2.10.0-svn
>From https://mirror.hydra.gnu.org/nar/hljxjxj6i91424jmwcilgkmxxxfdqqjy-git-2.10.0-svn
Downloading hljxjx...-git-2.10.0-svn (64KiB installed)...
 git-2.10.0-svn                              9.4MiB/s 00:00 | 19KiB transferred
@ substituter-succeeded /gnu/store/hljxjxj6i91424jmwcilgkmxxxfdqqjy-git-2.10.0-svn
/gnu/store/da20kp0h6fn1bz8iyjwh6iimrbjk4wzv-git-2.10.0-gui
/gnu/store/r45c751kwr8rlv2mpgwfd7k0w99rh62h-git-2.10.0
/gnu/store/dgky2waqhjsf4wqc6rikijfs12xnfnr5-git-2.10.0-send-email
/gnu/store/hljxjxj6i91424jmwcilgkmxxxfdqqjy-git-2.10.0-svn
retrieving 4 files from '192.168.1.198'...
Cannot open display "default display"
importing file or directory '/gnu/store/r45c751kwr8rlv2mpgwfd7k0w99rh62h-git-2.10.0'...
found valid signature for '/gnu/store/r45c751kwr8rlv2mpgwfd7k0w99rh62h-git-2.10.0'
importing file or directory '/gnu/store/da20kp0h6fn1bz8iyjwh6iimrbjk4wzv-git-2.10.0-gui'...
found valid signature for '/gnu/store/da20kp0h6fn1bz8iyjwh6iimrbjk4wzv-git-2.10.0-gui'
importing file or directory '/gnu/store/dgky2waqhjsf4wqc6rikijfs12xnfnr5-git-2.10.0-send-email'...
found valid signature for '/gnu/store/dgky2waqhjsf4wqc6rikijfs12xnfnr5-git-2.10.0-send-email'
importing file or directory '/gnu/store/hljxjxj6i91424jmwcilgkmxxxfdqqjy-git-2.10.0-svn'...
found valid signature for '/gnu/store/hljxjxj6i91424jmwcilgkmxxxfdqqjy-git-2.10.0-svn'
Cannot open display "default display"
done with offloaded '/gnu/store/mcfbsl7cn3chm5bi7xi4ydkanrn1amny-git-2.10.0.drv'
@ build-started /gnu/store/mbc7ljznnarwx4yx732jjqa6vz2raac3-lispf4-0.0.0-1-174d876-checkout.drv - x86_64-linux /var/log/guix/drvs/mb//c7ljznnarwx4yx732jjqa6vz2raac3-lispf4-0.0.0-1-174d876-checkout.drv.bz2
Cloning into '/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout'...
Note: checking out '174d8764d2f9764e8f4794c2e3feada9f9c1f1ba'.

You are in 'detached HEAD' state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in this
state without impacting any branches by performing another checkout.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -b with the checkout command again. Example:

  git checkout -b <new-branch-name>

HEAD is now at 174d876... Small documentation correction
environment variable `PATH' unset
@ build-succeeded /gnu/store/mbc7ljznnarwx4yx732jjqa6vz2raac3-lispf4-0.0.0-1-174d876-checkout.drv -
@ build-started /gnu/store/998qmim8dpi2ji7wrpc0s7z1rw6zmdpc-lispf4-0.0.0-1-174d876.drv - x86_64-linux /var/log/guix/drvs/99//8qmim8dpi2ji7wrpc0s7z1rw6zmdpc-lispf4-0.0.0-1-174d876.drv.bz2
starting phase `set-SOURCE-DATE-EPOCH'
phase `set-SOURCE-DATE-EPOCH' succeeded after 0.0 seconds
starting phase `set-paths'
environment variable `PATH' set to `/gnu/store/2pdb9h9mdq7qnjj1b9b6k2a2md46idyj-tar-1.29/bin:/gnu/store/54ilw1jcicj7n259cpra59y6gik2mig2-gzip-1.8/bin:/gnu/store/pzk986yikywnql4x393pbhzbiz7vl72n-bzip2-1.0.6/bin:/gnu/store/p9c6hk9rdln5rz752fkwd6zxj2xs3sa9-xz-5.2.2/bin:/gnu/store/3nhg61n6p870vj1q654rbxrgsq5zsgsp-file-5.25/bin:/gnu/store/lr2vwc88wck5ra3p969rgk8nnqh111aj-diffutils-3.3/bin:/gnu/store/ni491r4ffm03v0cr70df12lwiq826das-patch-2.7.5/bin:/gnu/store/bzv2l4hx3j74jm49fb7g20900yqjdn22-sed-4.2.2/bin:/gnu/store/53p06lrr734a1xxa770xz9ddan4a2zjq-findutils-4.6.0/bin:/gnu/store/bd4m0d7h247iwwgl7wi3b28prv554gjn-gawk-4.1.3/bin:/gnu/store/dk9hvkwr5s4n22z9pjgcmxrppd08k286-grep-2.25/bin:/gnu/store/lpvkjic9dhj55plc29jhq8l39irvqm4f-coreutils-8.25/bin:/gnu/store/1iiqn2124niw1pvqfwr7wb3lxi28r67q-make-4.2/bin:/gnu/store/ykzwykkvr2c80rw4l1qh3mvfdkl7jibi-bash-4.3.42/bin:/gnu/store/5k8z2aj8ca16nmvwvdsl0mdc3slm14k2-ld-wrapper-0/bin:/gnu/store/z53lxlrp7061vggbnhpxcsmad6lx96p8-binutils-2.25.1/bin:/gnu/store/frrj3bfbmg5vrd0flh9cf8j64h7cr2v4-gcc-4.9.3/bin:/gnu/store/m9vxvhdj691bq1f85lpflvnhcvrdilih-glibc-2.23/bin:/gnu/store/m9vxvhdj691bq1f85lpflvnhcvrdilih-glibc-2.23/sbin'
environment variable `C_INCLUDE_PATH' set to `/gnu/store/pzk986yikywnql4x393pbhzbiz7vl72n-bzip2-1.0.6/include:/gnu/store/p9c6hk9rdln5rz752fkwd6zxj2xs3sa9-xz-5.2.2/include:/gnu/store/3nhg61n6p870vj1q654rbxrgsq5zsgsp-file-5.25/include:/gnu/store/bd4m0d7h247iwwgl7wi3b28prv554gjn-gawk-4.1.3/include:/gnu/store/1iiqn2124niw1pvqfwr7wb3lxi28r67q-make-4.2/include:/gnu/store/z53lxlrp7061vggbnhpxcsmad6lx96p8-binutils-2.25.1/include:/gnu/store/frrj3bfbmg5vrd0flh9cf8j64h7cr2v4-gcc-4.9.3/include:/gnu/store/m9vxvhdj691bq1f85lpflvnhcvrdilih-glibc-2.23/include:/gnu/store/k3nwrfrgkg1bafhqi9w8inh2rr8njb1b-linux-libre-headers-4.1.18/include'
environment variable `CPLUS_INCLUDE_PATH' set to `/gnu/store/pzk986yikywnql4x393pbhzbiz7vl72n-bzip2-1.0.6/include:/gnu/store/p9c6hk9rdln5rz752fkwd6zxj2xs3sa9-xz-5.2.2/include:/gnu/store/3nhg61n6p870vj1q654rbxrgsq5zsgsp-file-5.25/include:/gnu/store/bd4m0d7h247iwwgl7wi3b28prv554gjn-gawk-4.1.3/include:/gnu/store/1iiqn2124niw1pvqfwr7wb3lxi28r67q-make-4.2/include:/gnu/store/z53lxlrp7061vggbnhpxcsmad6lx96p8-binutils-2.25.1/include:/gnu/store/frrj3bfbmg5vrd0flh9cf8j64h7cr2v4-gcc-4.9.3/include:/gnu/store/m9vxvhdj691bq1f85lpflvnhcvrdilih-glibc-2.23/include:/gnu/store/k3nwrfrgkg1bafhqi9w8inh2rr8njb1b-linux-libre-headers-4.1.18/include'
environment variable `LIBRARY_PATH' set to `/gnu/store/pzk986yikywnql4x393pbhzbiz7vl72n-bzip2-1.0.6/lib:/gnu/store/p9c6hk9rdln5rz752fkwd6zxj2xs3sa9-xz-5.2.2/lib:/gnu/store/3nhg61n6p870vj1q654rbxrgsq5zsgsp-file-5.25/lib:/gnu/store/bd4m0d7h247iwwgl7wi3b28prv554gjn-gawk-4.1.3/lib:/gnu/store/z53lxlrp7061vggbnhpxcsmad6lx96p8-binutils-2.25.1/lib:/gnu/store/m9vxvhdj691bq1f85lpflvnhcvrdilih-glibc-2.23/lib:/gnu/store/w74j2phxh04phnspxmjg9hpzpk90054x-glibc-utf8-locales-2.23/lib'
environment variable `GUIX_LOCPATH' set to `/gnu/store/w74j2phxh04phnspxmjg9hpzpk90054x-glibc-utf8-locales-2.23/lib/locale'
phase `set-paths' succeeded after 0.3 seconds
starting phase `install-locale'
using 'en_US.utf8' locale for category "LC_ALL"
phase `install-locale' succeeded after 0.0 seconds
starting phase `unpack'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/printa.l' -> `./printa.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Makefile.win' -> `./Makefile.win'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/f2c.h' -> `./f2c.h'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/prolog.l' -> `./prolog.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Makefile.unx' -> `./Makefile.unx'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/func1.l' -> `./func1.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/auxillary.c' -> `./auxillary.c'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/match.l' -> `./match.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/debug1.l' -> `./debug1.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Lispf42.f' -> `./Lispf42.f'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/astruct.l' -> `./astruct.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/static.l' -> `./static.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/history.l' -> `./history.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/basic1.l' -> `./basic1.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/basic2.l' -> `./basic2.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/script.1' -> `./script.1'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/.gitignore' -> `./.gitignore'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/lispf4.orig' -> `./lispf4.orig'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/makef.l' -> `./makef.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/SYSATOMS' -> `./SYSATOMS'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/ifdo.l' -> `./ifdo.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/lispf41.c' -> `./lispf41.c'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/README.md' -> `./README.md'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/script.2' -> `./script.2'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/schum.l' -> `./schum.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/LICENSE.txt' -> `./LICENSE.txt'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/edit.l' -> `./edit.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/debug2.l' -> `./debug2.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/quote.l' -> `./quote.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/io1.l' -> `./io1.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/struct.l' -> `./struct.l'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/lispf42.c' -> `./lispf42.c'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Lispf41.f' -> `./Lispf41.f'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/F4COM.FOR' -> `./F4COM.FOR'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Documentation/README.txt' -> `./Documentation/README.txt'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Documentation/Interlisp-Oct_1978.pdf' -> `./Documentation/Interlisp-Oct_1978.pdf'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Documentation/UsersGuide.txt' -> `./Documentation/UsersGuide.txt'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Documentation/Haraldson-LISP_details.pdf' -> `./Documentation/Haraldson-LISP_details.pdf'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Documentation/p501-schorr.pdf' -> `./Documentation/p501-schorr.pdf'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Documentation/ImplementationGuide.txt' -> `./Documentation/ImplementationGuide.txt'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Documentation/DevelopmentProcess.txt' -> `./Documentation/DevelopmentProcess.txt'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Windows/lispf4.exe' -> `./Windows/lispf4.exe'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Windows/BASIC.IMG' -> `./Windows/BASIC.IMG'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Mac/lispf4' -> `./Mac/lispf4'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Mac/BASIC.IMG' -> `./Mac/BASIC.IMG'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Linux/lispf4-64' -> `./Linux/lispf4-64'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Linux/lispf4-32' -> `./Linux/lispf4-32'
`/gnu/store/8ihdgd5nggbgzv3l1s88xlkdyyvfdz98-lispf4-0.0.0-1-174d876-checkout/Linux/BASIC.IMG' -> `./Linux/BASIC.IMG'
phase `unpack' succeeded after 0.1 seconds
starting phase `patch-usr-bin-file'
phase `patch-usr-bin-file' succeeded after 0.0 seconds
starting phase `patch-source-shebangs'
phase `patch-source-shebangs' succeeded after 0.0 seconds
starting phase `patch-generated-file-shebangs'
phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
starting phase `build'
gcc -Dstricmp=strcasecmp -O3    -c -o lispf41.o lispf41.c
gcc -Dstricmp=strcasecmp -O3    -c -o lispf42.o lispf42.c
gcc -Dstricmp=strcasecmp -O3    -c -o auxillary.o auxillary.c
gcc -o lispf4  -O lispf41.o lispf42.o auxillary.o -lm
./lispf4 <script.1
Lisp F4 , latest update =   
           (2015 8 21)
Space (cells smallnum bignums atoms) =  
           (96865 1073690323 2999 2853)
--- Reset   
_10
 
_10
 
_10
 
_ 
Exit from Lisp F4   
GBC:s (cell compacting num num/atom) =  
           (0 1 0 0)
Bye 
./lispf4 BARE.IMG <script.2
Lisp F4 , latest update =   
           (2015 8 21)
Space (cells smallnum bignums atoms) =  
           (96993 1073690323 2999 2850)
--- Reset   
_10
 
_5
 
BASIC1-PACKAGE
 
NIL
 
80
 
80
 
(LAMBDA (FN DEF)
        (PUTPROP FN 'FNCELL DEF))
 
[NLAMBDA L
         (MAPC L
               '(LAMBDA (X)
                        (PUTD (CAR X)
                              (CADR X]
 
(NLAMBDA (A)
         (PRINT (LIST 'FILEHEADER A)))
 
(LAMBDA (FILE)
        (PROG (&&X LFN TEMP)
              (OR (SETQ LFN
                        (XCALL 1
                               (LIST 15 FILE 'OLD 'FORMATTED)))
                  (RETURN))
              (SETQ TEMP
                    (IOTAB 1 LFN))
         LOOP (SELECTQ
                (SETQ &&X
                      (READ))
                (STOP (XCALL 2 LFN)
                      (RETURN
                        (IOTAB 1 TEMP)))
                (EVAL &&X))
              (GO LOOP)))
 
(LAMBDA (A)
        (PRIN0 A T)
        (TERPRI)
        A)
 
_10
 
__(FILEHEADER BASIC2)
BASIC2-PACKAGE
(VERSION 10)
BASIC2FNS
15
 
_(FILEHEADER IO1)
IO1-PACKAGE
(VERSION 2)
IO1FNS
15
 
_(FILEHEADER FUNC1)
FUNC1-PACKAGE
(VERSION 4)
FUNC1FNS
FUNC1VARS
15
 
_(FILEHEADER DEBUG1)
DEBUG1-PACKAGE
(VERSION 6)
SYSERROR REDEFINED 
DEBUG1FNS
DEBUG1VARS
15
 
_(FILEHEADER DEBUG2)
(DEBUG PACKAGE 2)
(VERSION 0)
PUTD REDEFINED 
DEBUG2FNS
DEBUG2VARS
15
 
_(FILEHEADER EDIT)
EDIT-PACKAGE
(VERSION 4)
EDITFNS
15
 
_(FILEHEADER MAKEF)
(MAKE FILE PACKAGE MODIFIED BY BLAKE MCBRIDE)
(VERSION 8)
FILEHEADER REDEFINED 
MAKEFFNS
MAKEFVARS
15
 
_(FILEHEADER HISTORY)
(HISTORY FUNCTIONS)
(VERSION 2)
LISPX REDEFINED 
READ REDEFINED 
HISTORYFNS
HISTORYVARS
history.l - LOADED 
"history.l"
 
_CUR
 
_ 
--- Compacting GBC. Free cells =
           87237
BASIC.IMG SAVED 
"BASIC.IMG"
 
_ 
Exit from Lisp F4   
GBC:s (cell compacting num num/atom) =  
           (0 1 0 0)
Bye 
phase `build' succeeded after 3.1 seconds
starting phase `check'
test suite not run
phase `check' succeeded after 0.0 seconds
starting phase `install'
`Documentation/README.txt' -> `/gnu/store/2xw8jlp58x2k075fpr0kqrlrbc0ldn07-lispf4-0.0.0-1-174d876-doc/share/doc/lispf4/README.txt'
`Documentation/Interlisp-Oct_1978.pdf' -> `/gnu/store/2xw8jlp58x2k075fpr0kqrlrbc0ldn07-lispf4-0.0.0-1-174d876-doc/share/doc/lispf4/Interlisp-Oct_1978.pdf'
`Documentation/UsersGuide.txt' -> `/gnu/store/2xw8jlp58x2k075fpr0kqrlrbc0ldn07-lispf4-0.0.0-1-174d876-doc/share/doc/lispf4/UsersGuide.txt'
`Documentation/Haraldson-LISP_details.pdf' -> `/gnu/store/2xw8jlp58x2k075fpr0kqrlrbc0ldn07-lispf4-0.0.0-1-174d876-doc/share/doc/lispf4/Haraldson-LISP_details.pdf'
`Documentation/p501-schorr.pdf' -> `/gnu/store/2xw8jlp58x2k075fpr0kqrlrbc0ldn07-lispf4-0.0.0-1-174d876-doc/share/doc/lispf4/p501-schorr.pdf'
`Documentation/ImplementationGuide.txt' -> `/gnu/store/2xw8jlp58x2k075fpr0kqrlrbc0ldn07-lispf4-0.0.0-1-174d876-doc/share/doc/lispf4/ImplementationGuide.txt'
`Documentation/DevelopmentProcess.txt' -> `/gnu/store/2xw8jlp58x2k075fpr0kqrlrbc0ldn07-lispf4-0.0.0-1-174d876-doc/share/doc/lispf4/DevelopmentProcess.txt'
phase `install' succeeded after 0.1 seconds
starting phase `patch-shebangs'
phase `patch-shebangs' succeeded after 0.0 seconds
starting phase `strip'
stripping binaries in "/gnu/store/2mmqgx310pl56lsad6qlxlimhc7fxnaq-lispf4-0.0.0-1-174d876/bin" with "strip" and flags ("--strip-debug" "--enable-deterministic-archives")
phase `strip' succeeded after 0.3 seconds
starting phase `validate-runpath'
validating RUNPATH of 1 binaries in "/gnu/store/2mmqgx310pl56lsad6qlxlimhc7fxnaq-lispf4-0.0.0-1-174d876/bin"...
phase `validate-runpath' succeeded after 0.0 seconds
starting phase `validate-documentation-location'
phase `validate-documentation-location' succeeded after 0.0 seconds
starting phase `delete-info-dir-file'
phase `delete-info-dir-file' succeeded after 0.0 seconds
starting phase `compress-documentation'
phase `compress-documentation' succeeded after 0.0 seconds
/gnu/store/2xw8jlp58x2k075fpr0kqrlrbc0ldn07-lispf4-0.0.0-1-174d876-doc
/gnu/store/2mmqgx310pl56lsad6qlxlimhc7fxnaq-lispf4-0.0.0-1-174d876
--